GNU bug report logs - #26035
guix pull does not handle url lists and unreachable requests

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: ng0 <contact.ng0@HIDDEN>; merged with #26833; dated Thu, 9 Mar 2017 13:43:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 26035 26833. Request was from Maxim Cournoyer <maxim.cournoyer@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 26035 <at> debbugs.gnu.org:


Received: (at 26035) by debbugs.gnu.org; 9 Mar 2017 13:53:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 09 08:53:44 2017
Received: from localhost ([127.0.0.1]:47258 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1clyVk-0006mB-Oo
	for submit <at> debbugs.gnu.org; Thu, 09 Mar 2017 08:53:44 -0500
Received: from fragranza.investici.org ([178.175.144.26]:51758)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contact.ng0@HIDDEN>) id 1clyVj-0006m3-Dz
 for 26035 <at> debbugs.gnu.org; Thu, 09 Mar 2017 08:53:43 -0500
Received: from [178.175.144.26] (fragranza [178.175.144.26]) (Authenticated
 sender: niasterisk@HIDDEN) by localhost (Postfix) with ESMTPSA id
 6F1D52C00EF
 for <26035 <at> debbugs.gnu.org>; Thu,  9 Mar 2017 13:53:41 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cryptolab.net;
 s=stigmate; t=1489067621;
 bh=YozFDjeR0b0bSUqfvSJvE+HKt6F99uTKsNDOyFJuxYk=;
 h=Date:From:To:Subject:References:In-Reply-To;
 b=Ksx9vrGZ3wD3Lp8wIqtq2dxT7gu9jGXRBVwJywPFZplzh+v+HJm6tOfcOxlqjarpS
 YjEbfd7XkiTt6U2DWsNCTPXeLW7q0YBOtNeeLEpIMhA3JtZkoTYCryl/tgecFAE8xs
 vjJ0ugMxvf/b5/rhAvWU1BcblvYay7KaRrZxGGU8=
Date: Thu, 9 Mar 2017 15:02:23 +0000
From: ng0 <contact.ng0@HIDDEN>
To: 26035 <at> debbugs.gnu.org
Subject: Re: bug#26035: guix pull does not handle url lists and unreachable
 requests
Message-ID: <20170309150223.ol47nwzjr3pgymo5@abyayala>
Mail-Followup-To: 26035 <at> debbugs.gnu.org
References: <20170309145105.snpnroqjm35omgow@abyayala>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
In-Reply-To: <20170309145105.snpnroqjm35omgow@abyayala>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 26035
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

ng0 transcribed 1.6K bytes:
> efficient enough and sets the times out much too high

Curses, my mailing program broke the subject. I thought I fixed it.

> Reply-To: 
> In-Reply-To:
> When you configure a system to use bayfront, for example with these
> lines included in cons* of (services):
>             (modify-services
>               %base-services
>               (guix-service-type
>                 config =>
>                 (guix-configuration
>                   (inherit config)
>                   (substitute-urls
>                     (cons* "https://bayfront.guixsd.org"
>                            %default-substitute-urls))
>                   (authorized-keys
>                     (cons*
>                       (plain-file "bayfront.guixsd.org.pub"
>                         (string-append "(public-key (ecc curve
> Ed25519) "
>                                        "(q
> #8D156F295D24B0D9A86FA5741A840FF2"
> 
> "D24F60F7B6C4134814AD55625971B394#)))"))
>                     %default-authorized-guix-keys))))))))
> 
> please consider that this does not reflect the actual indent and that I
> can't paste all of the config here, but those are the relevant parts,
> you will experience that: "guix package", and "guix system" (or guix
> buld?) query all listed subsitute urls, while "guix pull" only queries
> the first one. If the first one is experiencing issues (for example
> server is offline or can't handle requests for whatever reasons), the
> timeout is much too high. I had to cancel guix pull processes which
> tried to request from bayfront.guixsd.org for 9, 12, and 3 hours.
> 
> As bayfront wasn't the only server, a switch should occur even with the
> guix pull part where substitute servers are queried before the build of
> the fetched master tarball starts.
> 
> 
> 




Information forwarded to bug-guix@HIDDEN:
bug#26035; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Mar 2017 13:42:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 09 08:42:37 2017
Received: from localhost ([127.0.0.1]:47253 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1clyKz-0006Vo-Lh
	for submit <at> debbugs.gnu.org; Thu, 09 Mar 2017 08:42:37 -0500
Received: from eggs.gnu.org ([208.118.235.92]:47395)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contact.ng0@HIDDEN>) id 1clyKy-0006Vb-AM
 for submit <at> debbugs.gnu.org; Thu, 09 Mar 2017 08:42:36 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <contact.ng0@HIDDEN>) id 1clyKs-0001MY-3M
 for submit <at> debbugs.gnu.org; Thu, 09 Mar 2017 08:42:31 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:50069)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <contact.ng0@HIDDEN>)
 id 1clyKr-0001MS-W3
 for submit <at> debbugs.gnu.org; Thu, 09 Mar 2017 08:42:30 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:38354)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <contact.ng0@HIDDEN>) id 1clyKq-0000UP-FV
 for bug-guix@HIDDEN; Thu, 09 Mar 2017 08:42:29 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <contact.ng0@HIDDEN>) id 1clyKn-0001LC-Dj
 for bug-guix@HIDDEN; Thu, 09 Mar 2017 08:42:28 -0500
Received: from latitanza.investici.org ([82.94.249.234]:35786)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <contact.ng0@HIDDEN>)
 id 1clyKn-0001Ke-2Q
 for bug-guix@HIDDEN; Thu, 09 Mar 2017 08:42:25 -0500
Received: from [82.94.249.234] (latitanza [82.94.249.234]) (Authenticated
 sender: niasterisk@HIDDEN) by localhost (Postfix) with ESMTPSA id
 8C01A1210CC
 for <bug-guix@HIDDEN>; Thu,  9 Mar 2017 13:42:22 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cryptolab.net;
 s=stigmate; t=1489066942;
 bh=uLjjPrlR/k24Q7AZ1Qs8KRjiaixQFurDyxWPVBOegd8=;
 h=Date:From:To:Subject;
 b=GRWiqkKQQHYP4wn4iduU/Gbo5Vgi4f9K9fTXJDWW3xDtx2rueaw/tnzEq7GAe4FEx
 oYmKTL3kdkxmm2dPLI72SInpSESyp03F5IW/1LJD+WBySDO+Ipq+BHruwV3Mn9YO8y
 JCeI00IJ+9reobYMfI9w0RsDCs99WBegKS6wgUHs=
Date: Thu, 9 Mar 2017 14:51:05 +0000
From: ng0 <contact.ng0@HIDDEN>
To: bug-guix@HIDDEN
Subject: guix pull does not handle url lists and unreachable requests
Message-ID: <20170309145105.snpnroqjm35omgow@abyayala>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

efficient enough and sets the times out much too high
Reply-To: 
In-Reply-To:
When you configure a system to use bayfront, for example with these
lines included in cons* of (services):
            (modify-services
              %base-services
              (guix-service-type
                config =>
                (guix-configuration
                  (inherit config)
                  (substitute-urls
                    (cons* "https://bayfront.guixsd.org"
                           %default-substitute-urls))
                  (authorized-keys
                    (cons*
                      (plain-file "bayfront.guixsd.org.pub"
                        (string-append "(public-key (ecc curve
Ed25519) "
                                       "(q
#8D156F295D24B0D9A86FA5741A840FF2"

"D24F60F7B6C4134814AD55625971B394#)))"))
                    %default-authorized-guix-keys))))))))

please consider that this does not reflect the actual indent and that I
can't paste all of the config here, but those are the relevant parts,
you will experience that: "guix package", and "guix system" (or guix
buld?) query all listed subsitute urls, while "guix pull" only queries
the first one. If the first one is experiencing issues (for example
server is offline or can't handle requests for whatever reasons), the
timeout is much too high. I had to cancel guix pull processes which
tried to request from bayfront.guixsd.org for 9, 12, and 3 hours.

As bayfront wasn't the only server, a switch should occur even with the
guix pull part where substitute servers are queried before the build of
the fetched master tarball starts.




Acknowledgement sent to ng0 <contact.ng0@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#26035; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 29 Oct 2017 16:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.